Status: Open

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:3.2.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28050

Description

If a WMS layer with a large legend is loaded into QGIS, the legend isn't fully displayed in the Layers panel. More of the legend is made

visible if the Layers panel is resized.

This effect is observable in 3.2.3 and 2.18.24 with the following WMS layers:

ITE land classification of Great Britain

https://catalogue.ceh.ac.uk/maps/235c42f5-6281-40f6-a74c-1b4eb29c78b1?language=eng&#38;version=1.3.0

BGS Bedrock and Superficial geology

http://ogc.bgs.ac.uk/cgi-bin/BGS_Bedrock_and_Superficial_Geology/wms?

History

#1 - 2018-10-27 06:04 PM - Giovanni Manghi

- Status changed from Open to Feedback

seems fine to me in 3.4 (meaning that at least to me is perfectly normal to have to resize the legend panel when loading some specific type of layer with a

large legend)... a screenshot to show exactly what do you mean?

#2 - 2018-10-30 11:41 AM - Andy Harfoot

Sorry for not being clearer, the layers panel scroll bars do not allow scrolling to see the full extent of a large (WMS) legend if it is the last item in the layer

list (expanding the panel size helps but doesn't solve this). If the WMS layer is positioned between other layers in the layers panel, then the lower portion of

the WMS legend is not shown. This is still the case in 3.4

#3 - 2018-10-30 05:16 PM - Giovanni Manghi

- Operating System deleted (Win 10 x64)

- Status changed from Feedback to Open

- Subject changed from WMS Legend size not detected to WMS Legend does not show completely 
